package v1

import (
	"github.com/gogf/gf/v2/frame/g"
	"nodeMonitor/internal/model"
)

type NodeConfigAllReq struct {
	g.Meta `path:"/all" tags:"all" method:"get" summary:"获取全部"`
}
type NodeConfigAllRes struct {
	NodeConfigItem []*model.NodeConfigItem
}
type NodeConfigReq struct {
	g.Meta   `path:"/add" tags:"add" method:"post" summary:"添加节点SSH配置"`
	ServerId int    `p:"serverid"`
	SshCom   string `p:"sshcom"`
	SshPass  string `p:"sshpass"`
	SshUser  string `p:"sshuser"`
}
type NodeConfigRes struct {
}

type NodeConfigEditReq struct {
	g.Meta   `path:"/edit" tags:"edit" method:"post" summary:"编辑节点SSH配置"`
	ServerId int    `p:"serverid"`
	SshCom   string `p:"sshcom"`
	SshPass  string `p:"sshpass"`
	SshUser  string `p:"sshuser"`
}
type NodeConfigEditRes struct {
}

type NodeConfigDelReq struct {
	g.Meta   `path:"/del" tags:"del" method:"post" summary:"删除SSH配置"`
	ServerId int `p:"serverid"`
}
type NodeConfigDelRes struct {
}
