package controller

import (
	"golang.org/x/net/context"
	v1 "nodeMonitor/api/v1"
	"nodeMonitor/internal/service"
)

var (
	TaskLog = cTaskLog{}
)

type cTaskLog struct{}

func (c *cTaskLog) Get(ctx context.Context, req *v1.TaskLogGetReq) (res *v1.TaskLogGetRes, err error) {
	res = new(v1.TaskLogGetRes)
	res.TaskLog, err = service.TaskLog().GetTasLog(ctx)
	return
}
