package v1

import (
	"github.com/gogf/gf/v2/frame/g"
	"nodeMonitor/internal/model/entity"
)

type PingConfigGetReq struct {
	g.Meta `path:"/get" tags:"get" method:"get" summary:"编辑节点配置"`
}
type PingConfigGetRes struct {
	g.Meta     `mime:"application/json"`
	PingConfig *entity.Pingconfig `json:"PingConfig"`
}

type PingConfigEditReq struct {
	g.Meta    `path:"/edit" tags:"edit" method:"post" summary:"编辑节点配置"`
	NodeDie   int    `p:"nodedie"`
	NodeCount int    `p:"nodecount"`
	NodeLoos  int    `p:"nodeloos"`
	PingTime  int    `p:"pingtime"`
	PingName  string `p:"pingname"`
}
type PingConfigEditRes struct {
}
